Package: groovy.org.codenarc.rule.unnecessary

## [Groovy] Class UnnecessaryToStringRule

- groovy.org.codenarc.rule.unnecessary.UnnecessaryToStringRule

- Checks for unnecessary calls to toString(). Only check for calls to toString() for the value assigned to a String field or variable if checkAssignments is true.

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `boolean` | `checkAssignments`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### boolean checkAssignments

    - #### String name

    - #### int priority